org.jboss.jca.adapters.jdbc.local

## Class URLSelector

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.local.URLSelector

- All Implemented Interfaces:
    URLSelectorStrategy

      public class URLSelector
      extends java.lang.Object
      implements URLSelectorStrategy

  Default URL selector implementation
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `URLSelector()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `active()` Get the active URL
    `void` | `fail(java.lang.String url)` Fail an URL - e.g. mark it as bad
    `java.lang.String` | `getData()` Get the data for an error presentation
    `boolean` | `hasMore()` Does the plugin has more valid URLs ?
    `void` | `init(java.util.List<java.lang.String> urls)` Init the plugin with the URLs
    `void` | `reset()` Reset the plugin
    `void` | `success(java.lang.String url)` URL was accepted - potentially mark it as active
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### URLSelector

          public URLSelector()

      Constructor

  - ### Method Detail

    - #### init

          public void init(java.util.List<java.lang.String> urls)

      Init the plugin with the URLs
      Specified by:
        `init` in interface `URLSelectorStrategy`
      Parameters:
        `urls` - The URLs

    - #### hasMore

          public boolean hasMore()

      Does the plugin has more valid URLs ?
      Specified by:
        `hasMore` in interface `URLSelectorStrategy`
      Returns:
        True, if more are available, otherwise false

    - #### active

          public java.lang.String active()

      Get the active URL
      Specified by:
        `active` in interface `URLSelectorStrategy`
      Returns:
        The value

    - #### fail

          public void fail(java.lang.String url)

      Fail an URL - e.g. mark it as bad
      Specified by:
        `fail` in interface `URLSelectorStrategy`
      Parameters:
        `url` - The URL

    - #### success

          public void success(java.lang.String url)

      URL was accepted - potentially mark it as active
      Specified by:
        `success` in interface `URLSelectorStrategy`

    - #### reset

          public void reset()

      Reset the plugin
      Specified by:
        `reset` in interface `URLSelectorStrategy`

    - #### getData

          public java.lang.String getData()

      Get the data for an error presentation
      Specified by:
        `getData` in interface `URLSelectorStrategy`
      Returns:
        The value

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)